---
title: pydo.genai.run_evaluation_test_case()
description: Run an Evaluation Test Case
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/genai/run_evaluation_test_case/
last_updated: "2026-08-03"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.genai.run_evaluation_test_case()

Generated on 3 Aug 2026 from `pydo` version [`v0.40.0`](https://github.com/digitalocean/pydo/releases/tag/v0.40.0v0.40.0)

## Usage

```python
client.genai.run_evaluation_test_case(
    body={
        "agent_deployment_names": [...],
        "agent_uuids": [...],
        "run_name": "Evaluation Run Name",
        ...,
    },
)
```

Returns `JSON`Raises `HttpResponseError`

## Description

To run an evaluation test case, send a POST request to [`/v2/gen-ai/evaluation_runs`](https://docs.digitalocean.com/reference/api/reference/gradientai-platform/index.html.md#genai_run_evaluation_test_case).

## Parameters

`agent_deployment_names` array of strings optional

Example: `['example string']`

Agent deployment names to run the test case against (ADK agent workspaces).

`agent_uuids` array of strings optional

Example: `['example string']`

Agent UUIDs to run the test case against (legacy agents).

`run_name` string optional

Example: `Evaluation Run Name`

The name of the run.

`test_case_uuid` string optional

Example: `"12345678-1234-1234-1234-123456789012"`

Test-case UUID to run

## Request Sample

## Show Request Sample

```python
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "agent_deployment_names": [
    "example string"
  ],
  "agent_uuids": [
    "example string"
  ],
  "run_name": "Evaluation Run Name",
  "test_case_uuid": "\"12345678-1234-1234-1234-123456789012\""
}

resp = client.genai.run_evaluation_test_case(body=req)
```

## Response Example

## Show Response Example

```json
{
  "evaluation_run_uuids": [
    "example string"
  ]
}
```

## More Information

See [`/v2/gen-ai/evaluation_runs`](https://docs.digitalocean.com/reference/api/reference/gradientai-platform/index.html.md#genai_run_evaluation_test_case) in the API reference for additional detail on responses, headers, parameters, and more.